Page MenuHomePhabricator

git-deploy minions should get files under /mnt
Closed, ResolvedPublic

Description

Tim Starling wrote:

The current setup in deployment-prep has MW directories on a glusterfs
share. This appears to be slow for reads and impractically slow for
writes. Ryan agrees that putting the git-deploy data on a local device

(the root partition or /mnt) is a good idea.

We talked about that with Sam Reed. We need puppet to create a /mnt/srv directory and simply link /srv to it. That will give us a configuration matching production where files are local to the application server box and bypassing the "slow" glusterFS share.


Version: unspecified
Severity: enhancement

Details

Reference
bz43729

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:27 AM
bzimport set Reference to bz43729.
hashar created this task.Jan 8 2013, 10:31 AM

CCIng Tim and Sam. Assigning to self.

I need to find out in which puppet class I would put the /mnt/srv and /srv creation in.

I have added that as a hack in mediawiki_new puppet module which is required by the applicationserver class:

https://gerrit.wikimedia.org/r/42743

hashar added a comment.Jan 9 2013, 6:50 PM

Change merged. /dev/vdb should thus be mounted on /srv .

hashar added a comment.Jan 9 2013, 8:10 PM

https://gerrit.wikimedia.org/r/#/c/42996/ fixed a typo in change 42743 and https://gerrit.wikimedia.org/r/#/c/43013/ finally made the mount working.

The new /srv mount has been installed by puppet on deployment-jobrunner08 and deployment-video05. The two Apaches box do not get it applied because they use the non existent role::applicationserver class instead of the subclass role::applicationserver::appserver see bug 43706

hashar added a comment.Jan 9 2013, 9:52 PM

Beta has now /srv mounted to /dev/vdb on all instances using MediaWiki install. That makes this bug useless thus since we are not going to use /mnt in beta but the new /srv.